Veeam Inspectors KB

Overview

Liongard currently has two Veeam Inspectors:

  • The Veeam Availability Console (Service Provider Console v3) Inspector is designed for partners running Veeam Availability Console (Service Provider Console) using Veeam agents v3 and below.

  • The Veeam Service Provider Console v4 Inspector is designed for partners running Veeam Service Provider Console using Veeam agents v4 and above.

If you previously deployed the Veeam Availability Console (Service Provider Console v3) Inspector, and then, upgraded your Veeam agents to v4, in most cases, the Veeam Availability Console (Service Provider Console v3) Inspector continues to function. However, Liongard will no longer support the Veeam Availability Console (Service Provider Console v3) Inspector once Veeam ends support for v3 agents.

The Veeam Products lifecycle can be found here.

Updating Veeam Inspectors

The Veeam Service Provider Console v4 Inspector returns a more complete data set than the Veeam Availability Console Inspector. This, along with the end-of-life concerns mentioned above, makes Liongard's best practice recommendation to upgrade all deployed Veeam Inspectors to the Veeam Service Provider Console v4 Inspector.

If you would like to upgrade your Inspectors, take the following steps:

  1. Ensure that all of your Veeam Service Provider Consoles are using Veeam agents v4 and above.
  2. Deploy the Veeam Service Provider Console v4 Inspector for all Environments using Veeam agents v4 or higher.
  3. Once the Veeam Service Provider Console v4 Inspector is deployed, disable any existing Veeam Availability Console (Service Provider Console v3) Inspectors. Liongard will retain the data for these Inspectors.
  4. Relate any existing Flexible Assets/bundle any existing Configurations with any new Veeam Service Provider Console v4 Flexible Assets/Configurations.

Did this page help you?